SGFTHUMBNAIL(1)

NAME
sgfthumbnail - Create thumbnails for SGF files.

SYNOPSIS

sgfthumbnail [-verbose] [-size n] input.sgf [output.png]

sgfthumbnail -help

sgfthumbnail -version

DESCRIPTION

Create SGF thumbnails according to the Thumbnail Managing Standard: http://jens.triq.net/thumbnail-spec/index.html from freedesktop.org: http://freedesktop.org. This allows previewing the SGF files in filemanagers that support this standard, like Nautilus: http://www.gnome.org/projects/nautilus/. The installation script install.sh in the GoGui package will install SgfThumbnail as a thumbnailer for the GNOME: http://www.gnome.org desktop environment. The thumbnails will show the final position of the main variation, or the first position that contains both black and white setup stones. If SgfThumbnail is invoked without output filename, the thumbnails will be created in the directory .thumbnails/normal in the user home directory.

OPTIONS

-help
    Display help and exit.

-size n
    This option sets the maximum Thumbnail size. Board sizes smaller than 19 will use a proportional fraction of this size. Default is 128.

-verbose
    Print logging messages to standard error.

-version
    Print version and exit.